> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/definitions/types/expected.md).

# Expected

### Expected Types

We calculate several different expected values. Find below the types with the description or their meaning.

<table><thead><tr><th width="65.03515625">ID</th><th width="247.9140625">Name</th><th width="67.41015625">Abbr.</th><th>Description</th><th data-hidden>Code</th></tr></thead><tbody><tr><td>5304</td><td><code>EXPECTED_GOALS</code></td><td>xG</td><td>Measures the quality of scoring chances by estimating the probability of each shot resulting in a goal.</td><td>expected-goals</td></tr><tr><td>5305</td><td><code>EXPECTED_GOALS_ON_TARGET</code></td><td>xGoT</td><td>Measures the likelihood of shots on target resulting in goals based on their post-shot characteristics.</td><td>expected-goals-on-target</td></tr><tr><td>7939</td><td><code>EXPECTED_POINTS</code></td><td>xPTS</td><td>Estimates the number of points a team is expected to earn based on the quality of chances created and conceded.</td><td>expected-points</td></tr><tr><td>7940</td><td><code>EXPECTED_GOALS_PENALTIES</code></td><td>pxG</td><td>The total expected goals value generated from penalties, with each penalty valued using its historical conversion probability.</td><td></td></tr><tr><td>7941</td><td><code>EXPECTED_GOALS_FREE_KICKS</code></td><td>xGFK</td><td>The total expected goals value generated from shots taken directly from free kicks.</td><td></td></tr><tr><td>7942</td><td><code>EXPECTED_GOALS_CORNERS</code></td><td>xGC</td><td>The total expected goals value generated from shots originating from corner situations.</td><td></td></tr><tr><td>7943</td><td><code>EXPECTED_NON_PENALTY_GOALS</code></td><td>npxG</td><td>The total expected goals value from all shots excluding penalties.</td><td></td></tr><tr><td>7944</td><td><code>EXPECTED_GOALS_SET_PLAY</code></td><td>xGSP</td><td>The total expected goals value generated from set-piece situations, excluding penalties.</td><td></td></tr><tr><td>7945</td><td><code>EXPECTED_GOALS_OPEN_PLAY</code></td><td>xGOP</td><td>The total expected goals value generated from shots during open play, excluding set pieces.</td><td></td></tr><tr><td>9684</td><td><code>EXPECTED_GOALS_DIFFERENCE</code></td><td>xGD</td><td>The difference between expected goals created (xG) and expected goals conceded (xGA). A positive value indicates a team creates better chances than it allows.</td><td></td></tr><tr><td>9685</td><td><code>SHOOTING_PERFORMANCE</code></td><td>SP</td><td>Measures goalkeeper performance by comparing expected goals conceded with actual goals conceded. Positive values indicate fewer goals conceded than expected.</td><td></td></tr><tr><td>9686</td><td><code>EXPECTED_GOALS_PREVENTED</code></td><td>xGP</td><td>Measures how many goals a goalkeeper prevents compared with expectations based on the post-shot quality of shots faced.</td><td></td></tr><tr><td>9687</td><td><code>EXPECTED_GOALS_AGAINST</code></td><td>xGA</td><td>Measures the quality of scoring chances conceded by summing the xG values of opponents’ shots.</td><td></td></tr></tbody></table>

You can find a full explanation of each value in our dedicated [blog](https://www.sportmonks.com/blogs/xg-explained/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/definitions/types/expected.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
